aboutsummaryrefslogtreecommitdiffstats
path: root/extra/bind/APKBUILD
diff options
context:
space:
mode:
authorCarlo Lanmdeter <clandmeter@gmail>2009-02-25 13:45:20 +0000
committerCarlo Lanmdeter <clandmeter@gmail>2009-02-25 13:45:20 +0000
commitd1d115d70d61be568a63718726f6e720a9d93e33 (patch)
tree81ab1071a62dc8555be242f154f5553c8de9dada /extra/bind/APKBUILD
parent648b7e8c778378078034b74fd158030a874a3d8f (diff)
downloadaports-d1d115d70d61be568a63718726f6e720a9d93e33.tar.gz
aports-d1d115d70d61be568a63718726f6e720a9d93e33.tar.bz2
aports-d1d115d70d61be568a63718726f6e720a9d93e33.tar.xz
extra/bind: removed chroot, we can use vserver for this kind of setup.
Diffstat (limited to 'extra/bind/APKBUILD')
-rw-r--r--extra/bind/APKBUILD23
1 files changed, 10 insertions, 13 deletions
diff --git a/extra/bind/APKBUILD b/extra/bind/APKBUILD
index 88868190aa..fb405ad6da 100644
--- a/extra/bind/APKBUILD
+++ b/extra/bind/APKBUILD
@@ -1,5 +1,4 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=bind
pkgver=9.6.0_p1
pkgrel=0
@@ -17,7 +16,6 @@ $pkgname.confd
$pkgname.conf
$pkgname.127.zone
$pkgname.localhost.zone
-$pkgname.envd
$pkgname.named.ca
$pkgname.install"
@@ -55,28 +53,28 @@ build() {
make || return 1
make DESTDIR="$pkgdir" install
+
depends="$depends $pkgname-libs"
- install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname || return 1
- install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname || return 1
- install -Dm644 "$srcdir"/$pkgname.conf "$pkgdir"/etc/bind/$pkgname.conf || return 1
+
+ install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/named || return 1
+ install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/named || return 1
+ install -Dm644 "$srcdir"/$pkgname.conf "$pkgdir"/etc/bind/named.conf || return 1
install -Dm644 "$srcdir"/$pkgname.named.ca "$pkgdir"/var/bind/named.ca || return 1
install -Dm644 "$srcdir"/$pkgname.127.zone "$pkgdir"/var/bind/pri/127.zone || return 1
install -Dm644 "$srcdir"/$pkgname.localhost.zone "$pkgdir"/var/bind/pri/localhost.zone || return 1
- install -Dm644 "$srcdir"/$pkgname.envd "$pkgdir"/etc/env.d/10bind || return 1
mkdir -p "$pkgdir"/var/bind/sec || return 1
- cd "$pkgdir"/etc/bind
- ln -s ../../var/bind/pri pri || return 1
- ln -s ../../var/bind/sec sec || return 1
cd "$pkgdir"/var/bind
ln -s named.ca root.cache || return 1
}
libs() {
+ install=""
mkdir -p "$subpkgdir"/usr
mv "$pkgdir"/usr/lib "$subpkgdir"/usr/
}
tools() {
+ install=""
depends="$pkgname-libs"
mkdir -p "$subpkgdir"/usr/bin
for i in dig host nslookup nsupdate; do
@@ -86,11 +84,10 @@ tools() {
md5sums="886b7eae55cfdc8cd8d2ca74a2f99c6e bind-9.6.0-P1.tar.gz
f270a5b0a28ab6e818840c5c368ddbcc bind.so_bsdcompat.patch
-3aebea7be2340d971354bd9188a042dc bind.initd
-5b0a78ca9da95ad2d3504cc0ef2dc32e bind.confd
+3adc904c1c12f81839d9369f7241022b bind.initd
+8b05a287976d66d51c18b73ee7523671 bind.confd
be5fd752bdbd59385f2a559d603098d5 bind.conf
a7455b009b7fccd74ac6f6eaa6902a00 bind.127.zone
c3220168fabfb31a25e8c3a545545e34 bind.localhost.zone
-42b5ed5adcee33cf40531d7955412b21 bind.envd
a94e29ac677846f3d4d618c50b7d34f1 bind.named.ca
-8449d77a1bc4cf4010589ed8ecbea39a bind.install"
+65a324ab73d4ce8720a07b46a391f58a bind.install"